Out-of-bounds write in Siemens Parasolid



Published: 2022-11-09 | Updated: 2022-11-11
Risk High
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-43397
CWE-ID CWE-787
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Parasolid
Client/Desktop applications / Other client software

Vendor Siemens

Security Bulletin

This security bulletin contains one high risk vulnerability.

1) Out-of-bounds write

EUVDB-ID: #VU69168

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-43397

CWE-ID: CWE-787 - Out-of-bounds write

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error while parsing specially crafted X_T files. A remote attacker can create a specially crafted file, trick the victim into opening it using the affected software, trigger out-of-bounds write and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Parasolid: 34.0 - 35.0


CPE2.3 External links

http://cert-portal.siemens.com/productcert/pdf/ssa-853037.pdficsa-22-314-01

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###